#include "Detector.h"

Detector::Detector(bool setValue)
{
    for(int i = 0; i < 14; i++)
        detector[i] = setValue;
}

Detector::~Detector(){
    //dtor
}

bool Detector::checkReservation(int number){
    if(detector[number])
        return true;
    return false;               
}

void Detector::reserveDetector(int area[]){

    for(int i = 0; i<sizeof(area); i++){
        detector[area[i]] = true;    
    }   
}

void Detector::clearReservation(int area[]){

    for(int i = 0; i<sizeof(area); i++){
        detector[area[i]] = false;    
    }   
}