#include "Switch.h"

Switch::Switch(const unsigned int newaddress, const unsigned int newinst)
{
    //ctor
    address = newaddress;
    inst = newinst;
    nrPacket = 10;
    if(inst == 0x82)
        nrPacket = 100;
    switchOff();    
    
}

Switch::~Switch()
{
    //dtor
}

void Switch::switchOn(){
    DCC_send_command(address, inst, nrPacket); 
}

void Switch::switchOff() {
    DCC_send_command(address, inst, nrPacket);
    unsigned int off = 0x80;
    DCC_send_command(address, off, nrPacket);
}
